<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensoractuator_1_1_simu_us.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::sensoractuator::SimuUs Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ab908771540c2c4ab3f061bde6729ec28">AddDeviceToLog</a>(IODevice *device)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">framework::Childs</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">framework::sensoractuator::UsRangeFinder::Childs</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">framework::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">framework::sensoractuator::UsRangeFinder::Error</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">framework::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">framework::sensoractuator::UsRangeFinder::ErrorOccured</a>(bool recursive=true)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a95b56a32dc9a0af90da89ed351385b57">IODevice</a>(Object *parent, std::string name)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a4589e644fcd554ecd4db51ddd55a9744">IsSuspended</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a74b2dd5fda4079a47f67d89b832a02d1">Join</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Lock</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">framework::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">framework::sensoractuator::UsRangeFinder::Object</a>(Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">framework::ObjectName</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">framework::sensoractuator::UsRangeFinder::ObjectName</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">framework::ObjectType</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">framework::sensoractuator::UsRangeFinder::ObjectType</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>output</b> (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">framework::Parent</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">framework::sensoractuator::UsRangeFinder::Parent</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Plot</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PlotTab</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">Resume</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">SafeStop</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ad622dcf9bb33bf0a4230ce76c2152904">SetDataToLog</a>(io_data *data)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">SetPeriodMS</a>(uint32_t period_ms)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">SetPeriodUS</a>(uint32_t period_us)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetupGroupBox</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetupLayout</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>shmem</b> (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>SimuUs</b>(core::FrameworkManager *parent, std::string name, int dev_id, int priority) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SimuUs</b>(core::IODevice *parent, std::string name, int dev_id) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a56a248f27a43163af66ddefacabc465a">SleepMS</a>(uint32_t time_ms)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#ad203bf7f23baa51488c46c712c4f411b">SleepUntil</a>(Time time)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#afc85802579cdbf15562d1f2ab0b165c9">SleepUS</a>(uint32_t time_us)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">Start</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">Suspend</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#adb20cdf1df26689dc45fa701ce4a99f8">Thread</a>(Object *parent, std::string name, int priority)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#aee57d8d4b7be3bff804f689ed7619c61">ToBeStopped</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">framework::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">framework::sensoractuator::UsRangeFinder::TypeChilds</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Unlock</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>UseDefaultPlot</b>(void) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>UsRangeFinder</b>(core::FrameworkManager *parent, std::string name) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>UsRangeFinder</b>(core::IODevice *parent, std::string name) (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a5faf16660e7e13a6188523901c315e79">WaitPeriod</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a9747144537544afaeb20b4389b92fc7c">WaitUpdate</a>(IODevice *device)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">framework::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">framework::sensoractuator::UsRangeFinder::Warning</a>(const char *function, const char *format,...)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a>(bool enable)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~SimuUs</b>() (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_simu_us.html">framework::sensoractuator::SimuUs</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">~Thread</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~UsRangeFinder</b>() (defined in <a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a>)</td><td class="entry"><a class="el" href="classframework_1_1sensoractuator_1_1_us_range_finder.html">framework::sensoractuator::UsRangeFinder</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Mar 25 2014 13:01:10 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
